Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.seq
Class SEQDecoder

    java.lang.Object
      org.monte.media.seq.SEQDecoder

    public class SEQDecoder

extends java.lang.Object

`SEQDecoder`.

References:
http://www.fileformat.info/format/atari/egff.htm
http://www.atari-forum.com/wiki/index.php/ST_Picture_Formats

Version:
  1.0 2010-12-25 Created.
Author:
  Werner Randelshofer

Constructor Summary
`SEQDecoder(javax.imageio.stream.ImageInputStream in)` Creates a decoder for the specified image input stream.
`SEQDecoder(java.io.InputStream in)` Creates a decoder for the specified input stream.

Method Summary
`void` | `produce(SEQMovieTrack track, boolean loadAudio)` Decodes the stream and produces animation frames into the specified movie track.
`void` | `setEnforce8BitColorModel(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SEQDecoder

    public SEQDecoder(java.io.InputStream in)

  Creates a decoder for the specified input stream.

### SEQDecoder

    public SEQDecoder(javax.imageio.stream.ImageInputStream in)

  Creates a decoder for the specified image input stream.

Method Detail

### produce

    public void produce(SEQMovieTrack track,
                        boolean loadAudio)
                 throws java.io.IOException

  Decodes the stream and produces animation frames into the specified movie track.

  This method can only be called once.

  Parameters:
    `track` - The decoded data is stored in this track.
    `loadAudio` - Whether to decode audio (currently unused).
  Throws:
    `java.io.IOException`

### setEnforce8BitColorModel

    public void setEnforce8BitColorModel(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD